# Class CLN2Parsers

java.lang.Object
com.io7m.calino.vanilla.CLN2Parsers

All Implemented Interfaces:
  `CLNParserFactoryType`

public final class CLN2Parsers extends Object implements CLNParserFactoryType
A parser factory supporting major version 2.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLN2Parsers()`
  A parser factory supporting major version 2.
  `CLN2Parsers(com.io7m.jbssio.api.BSSReaderProviderType inReaders)`
  A parser factory supporting major version 2.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLNParserType`
  `createParser(CLNParseRequest request)`
  Create a new parser for the given request.
  `int`
  `highestMinorVersion()`
  `int`
  `supportedMajorVersion()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CLN2Parsers

    public CLN2Parsers()
    A parser factory supporting major version 2.

  - ### CLN2Parsers

    public CLN2Parsers(com.io7m.jbssio.api.BSSReaderProviderType inReaders)
    A parser factory supporting major version 2.
    Parameters:
      `inReaders` - A provider of readers

- ## Method Details

  - ### supportedMajorVersion

    public int supportedMajorVersion()
    Specified by:
      `supportedMajorVersion` in interface `CLNParserFactoryType`
    Returns:
      The major file format version that this parser supports

  - ### highestMinorVersion

    public int highestMinorVersion()
    Specified by:
      `highestMinorVersion` in interface `CLNParserFactoryType`
    Returns:
      The highest known minor version for this parser factory

  - ### createParser

    public CLNParserType createParser(CLNParseRequest request) throws CLNException
    Description copied from interface: `CLNParserFactoryType`
    Create a new parser for the given request.
    Specified by:
      `createParser` in interface `CLNParserFactoryType`
    Parameters:
      `request` - A parse request
    Returns:
      A new parser
    Throws:
      `CLNException` - On errors